"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bignumber_js_1 = __importDefault(require("bignumber.js"));
exports.token = ([, holding], _, context) => {
    return context.environment.getToken(holding.address);
};
exports.amount = ([, holding]) => {
    return holding.amount;
};
exports.shareCostInAsset = ([accounting, holding], _, context) => {
    return accounting.getShareCostInAsset(new bignumber_js_1.default('1e18'), holding.address, context.block);
};
